import request from '@/utils/request'

// 查询数据调查-宅基地宗地列表
export function listZjdzd(query) {
  return request({
    url: '/houseSurvey/zjdzd/searchList',
    method: 'get',
    params: query
  })
}

// 导出数据调查-宅基地宗地
export function exportZjdzd(query) {
  return request({
    url: '/houseSurvey/zjdzd/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-宅基地宗地详细
export function getZjdzd(id) {
  return request({
    url: '/houseSurvey/zjdzd/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-宅基地宗地
export function addZjdzd(data) {
  return request({
    url: '/houseSurvey/zjdzd/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function zjdzdConnectTask(data) {
  return request({
    url: '/houseSurvey/zjdzd/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-宅基地宗地
export function updateZjdzd(data) {
  return request({
    url: '/houseSurvey/zjdzd/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-宅基地宗地
export function delZjdzd(id) {
  return request({
    url: '/houseSurvey/zjdzd/remove/' + id,
    method: 'get'
  })
}

// 上传文件
export function uploadFile(data) {
  return request({
    url: '/common/upload',
    method: 'post',
    data: data
  })
}

//查询当前登录账号坐标
export function getQueryLand() {
  return request({
    url: '/system/dept/get/current',
    method: 'get'
  })
}

// 查询数据调查-宅基地宗地列表
export function delZjdzdInfo(query) {
  return request({
    url: '/houseSurvey/zjdzd/delZjdzdInfo',
    method: 'get',
    params: query
  })
}

// 提交照片-宅基地宗地
export function submitUploadImageList(data) {
  return request({
    url: '/houseSurvey/zjdzd/submitUploadImageList',
    method: 'post',
    data: data
  })
}

// 数据审核-宅基地宗地
export function submitOnly(data) {
  return request({
    url: '/houseSurvey/zjdzd/submitOnly',
    method: 'post',
    data: data
  })
}
